## Tepl Initialization and Finalization Tepl Initialization and Finalization |

## Functions

void | tepl_init ()
void | tepl_finalize ()

## Includes

    #include <tepl/tepl.h>

## Description

## Functions

### tepl_init ()

    void
    tepl_init (void);

Initializes the Tepl library (e.g. for the internationalization).

This function can be called several times, but is meant to be called at the beginning of `main()`, before any other Tepl function call.

This function also calls `amtk_init()`, `gfls_init()` and `gtk_source_init()`.

Since: 3.0

### tepl_finalize ()

    void
    tepl_finalize (void);

Free the resources allocated by Tepl. For example it unrefs the singleton objects.

This function also calls `amtk_finalize()`, `gfls_finalize()` and `gtk_source_finalize()`.

It is not mandatory to call this function, it's just to be friendlier to memory debugging tools. This function is meant to be called at the end of `main()`. It can be called several times.

Since: 3.0